<?php
/**
 * About configuration
 *
 * @package Business_Era
 */

$config = array(
	'menu_name' => esc_html__( 'About Business Era', 'business-era' ),
	'page_name' => esc_html__( 'About Business Era', 'business-era' ),

	/* translators: theme version */
	'welcome_title' => sprintf( esc_html__( 'Welcome to %s - ', 'business-era' ), 'Business Era' ),

	/* translators: 1: theme name */
	'welcome_content' => sprintf( esc_html__( 'We hope this page will help you to setup %1$s with few clicks. We believe you will find it easy to use and perfect for your website development.', 'business-era' ), 'Business Era' ),

	// Quick links.
	'quick_links' => array(
		'theme_url' => array(
			'text' => esc_html__( 'Theme Details','business-era' ),
			'url'  => 'https://www.prodesigns.com/wordpress-themes/downloads/business-era',
			),
		'demo_url' => array(
			'text' => esc_html__( 'View Demo','business-era' ),
			'url'  => 'https://www.prodesigns.com/wordpress-themes/demo/business-era/',
			),
		'documentation_url' => array(
			'text'   => esc_html__( 'View Documentation','business-era' ),
			'url'    => 'https://www.prodesigns.com/wordpress-themes/documentation/business-era/',
			'button' => 'primary',
			),
		'rate_url' => array(
			'text' => esc_html__( 'Rate This Theme','business-era' ),
			'url'  => 'https://wordpress.org/support/theme/business-era/reviews/',
			),
		),

	// Tabs.
	'tabs' => array(
		'getting_started'     => esc_html__( 'Getting Started', 'business-era' ),
		'recommended_actions' => esc_html__( 'Recommended Actions', 'business-era' ),
		'support'             => esc_html__( 'Support', 'business-era' ),
	),

	// Getting started.
	'getting_started' => array(
		array(
			'title'               => esc_html__( 'Theme Documentation', 'business-era' ),
			'text'                => esc_html__( 'Find step by step instructions to setup theme easily.', 'business-era' ),
			'button_label'        => esc_html__( 'View documentation', 'business-era' ),
			'button_link'         => 'https://www.prodesigns.com/wordpress-themes/documentation/business-era/',
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => true,
		),
		array(
			'title'               => esc_html__( 'Recommended Actions', 'business-era' ),
			'text'                => esc_html__( 'We recommend few steps to take so that you can get complete site like shown in demo.', 'business-era' ),
			'button_label'        => esc_html__( 'Check recommended actions', 'business-era' ),
			'button_link'         => esc_url( admin_url( 'themes.php?page=business-era-about&tab=recommended_actions' ) ),
			'is_button'           => false,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
		array(
			'title'               => esc_html__( 'Customize Everything', 'business-era' ),
			'text'                => esc_html__( 'Start customizing every aspect of the website with customizer.', 'business-era' ),
			'button_label'        => esc_html__( 'Go to Customizer', 'business-era' ),
			'button_link'         => esc_url( wp_customize_url() ),
			'is_button'           => true,
			'recommended_actions' => false,
			'is_new_tab'          => false,
		),
	),

	// Recommended actions.
	'recommended_actions' => array(
		'content' => array(
			
			'front-page' => array(
				'title'       => esc_html__( 'Setting Static Front Page','business-era' ),
				'description' => esc_html__( 'Create a new page to display on front page ( Ex: Home ). Go to Settings >> Reading and select A static page option. Assign Home page from dropdown to Homepage selection. Note: Static page will be set automatically when you import demo content.', 'business-era' ),
				'id'          => 'front-page',
				'check'       => ( 'page' === get_option( 'show_on_front' ) ) ? true : false,
				'help'        => '<a href="' . esc_url( wp_customize_url() ) . '?autofocus[section]=static_front_page" class="button button-secondary">' . esc_html__( 'Static Front Page', 'business-era' ) . '</a>',
			),

		),
	),

	// Support.
	'support_content' => array(
		'first' => array(
			'title'        => esc_html__( 'Contact Support', 'business-era' ),
			'icon'         => 'dashicons dashicons-sos',
			'text'         => esc_html__( 'If you have any problem, feel free to create ticket on our dedicated Support forum.', 'business-era' ),
			'button_label' => esc_html__( 'Contact Support', 'business-era' ),
			'button_link'  => esc_url( 'https://www.prodesigns.com/wordpress-themes/support/forum/business-era' ),
			'is_button'    => true,
			'is_new_tab'   => true,
		),
		'second' => array(
			'title'        => esc_html__( 'Theme Documentation', 'business-era' ),
			'icon'         => 'dashicons dashicons-book-alt',
			'text'         => esc_html__( 'Kindly check our theme documentation for detailed information and video instructions.', 'business-era' ),
			'button_label' => esc_html__( 'View Documentation', 'business-era' ),
			'button_link'  => 'https://www.prodesigns.com/wordpress-themes/documentation/business-era/',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'third' => array(
			'title'        => esc_html__( 'Customization Request', 'business-era' ),
			'icon'         => 'dashicons dashicons-admin-tools',
			'text'         => esc_html__( 'This is 100% free theme and has no premium version. Feel free to contact us any time if you need any customization service.', 'business-era' ),
			'button_label' => esc_html__( 'Customization Request', 'business-era' ),
			'button_link'  => 'https://www.prodesigns.com/contact-us',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
		'fourth' => array(
			'title'        => esc_html__( 'Child Theme', 'business-era' ),
			'icon'         => 'dashicons dashicons-admin-customizer',
			'text'         => esc_html__( 'If you want to customize theme file, you should use child theme rather than modifying theme file itself.', 'business-era' ),
			'button_label' => esc_html__( 'About child theme', 'business-era' ),
			'button_link'  => 'https://developer.wordpress.org/themes/advanced-topics/child-themes/',
			'is_button'    => false,
			'is_new_tab'   => true,
		),
	),

);
Business_Era_About::init( apply_filters( 'business_era_about_filter', $config ) );